Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005118OCamlCamlp4public2010-08-03 09:112012-09-25 20:06
Reportermatt 
Assigned Toxclerc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version3.12.1+dev 
Summary0005118: Camlp4o and integer literals
Description       Objective Caml version 3.12.0

# #load"dynlink.cma";;
# #load"camlp4o.cma";;
    Camlp4 Parsing version 3.12.0

# let test = Int32.min_int;;
val test : int32 = -2147483648l
# let test = -2147483648l;;
Characters 12-23:
  let test = -2147483648l;;
              ^^^^^^^^^^^
Error: Integer literal exceeds the range of representable integers of type int32
Additional InformationMay be related to bug 0005090?
TagsNo tags attached.
Attached Files

- Relationships
related to 0005248closedxclerc Single-digit int64 literals aren't parsed. 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-08-03 09:11 matt New Issue
2010-08-03 09:11 matt Status new => assigned
2010-08-03 09:11 matt Assigned To => ertai
2011-02-09 14:38 xclerc Assigned To ertai => xclerc
2011-02-09 14:39 xclerc Status assigned => resolved
2011-02-09 14:39 xclerc Fixed in Version => 3.12.1+dev
2011-02-09 14:39 xclerc Resolution open => fixed
2011-06-08 17:03 doligez Relationship added related to 0005248
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker